package cn.superdesk.uniorder.dao.mapper.unified;

import cn.superdesk.uniorder.dao.entity.unified.UnifiedWarning;
import cn.superdesk.uniorder.dao.entity.unified.UnifiedWarningExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface UnifiedWarningMapper {

    long countByExample(UnifiedWarningExample example);

    int deleteByExample(UnifiedWarningExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UnifiedWarning record);

    int insertSelective(UnifiedWarning record);

    List<UnifiedWarning> selectByExample(UnifiedWarningExample example);

    UnifiedWarning selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UnifiedWarning record, @Param("example") UnifiedWarningExample example);

    int updateByExample(@Param("record") UnifiedWarning record, @Param("example") UnifiedWarningExample example);

    int updateByPrimaryKeySelective(UnifiedWarning record);

    int updateByPrimaryKey(UnifiedWarning record);
}